• Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 952
  • Last Modified:

I want to upgrade my BES server from 4.1.4.15 to 4.1.7 mr2

I have windows 2003 standerd with blackberry 4.1.4.15, I download besx417mr2, when ever i run the setup it gives me this message"
the upgrade patch cannot be installed by the windows installer service because the program to be upgraded  may be missing , or the upgrade patch a different version of the program, verify that the program to be upgraded exists on your computer and that you have the correct upgraded patch
0
i_harfoush
Asked:
i_harfoush
  • 2
2 Solutions
 
fgrushevskyCommented:
you need to get 4.1.7 release installed, then you can install mr2 (besx417mr2 is only maintenance release) on top of it
0
 
monorail1Commented:
Exactly correct. To clarify, 4.1.7 is 4.1 SP7. I would advise backing up your besmgmt database first - the setup will also do this automatically during installation.



~ CFJ
0
 
i_harfoushAuthor Commented:
someone told me u have blackberry professional software, if u want to upgrade to enterprise u have to pay, what is the latest black berry software , i found on the website of blackberry only service pack 4 a, because right now the server is not working it is giving srp connection failed,
0
 
i_harfoushAuthor Commented:
10x
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

Join & Write a Comment

Featured Post

Problems using Powershell and Active Directory?

Managing Active Directory does not always have to be complicated.  If you are spending more time trying instead of doing, then it's time to look at something else. For nearly 20 years, AD admins around the world have used one tool for day-to-day AD management: Hyena. Discover why

  • 2
Tackle projects and never again get stuck behind a technical roadblock.
Join Now